#
# spec file for package python-stem
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-stem
Version:        1.7.1
Release:        lp151.1.1
Summary:        Python controller library for Tor
License:        LGPL-3.0-only
Group:          Productivity/Networking/Security
URL:            https://stem.torproject.org/
Source:         https://files.pythonhosted.org/packages/source/s/stem/stem-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildArch:      noarch
%python_subpackages

%description
Stem is a Python controller library that allows applications
to interact with Tor (https://www.torproject.org/).

%prep
%setup -q -n stem-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec run_tests.py -u

%files %{python_files}
%license LICENSE
%python3_only %{_bindir}/tor-prompt
%{python_sitelib}/*

%changelog
* Wed Jan  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.7.1:
  * no actual changelog
* Tue Nov 27 2018 Tomáš Chvátal <tchvatal@suse.com>
- Make sure to execute tests
* Fri Nov 23 2018 Axel Braun <axel.braun@gmx.de>
- conversion to singlespec
* Thu Oct 25 2018 enzokiel@kabelmail.de
- Update to version 1.7.0
* Sun Nov 12 2017 joerg.lorenzen@ki.tng.de
- Update to version 1.6.0
* Sat Jan  7 2017 joerg.lorenzen@ki.tng.de
- Update to version 1.5.4
* Thu Dec  8 2016 joerg.lorenzen@ki.tng.de
- Update to version 1.5.3
* Fri Nov 25 2016 joerg.lorenzen@ki.tng.de
- Update to version 1.5.2
* Wed Nov  9 2016 joerg.lorenzen@ki.tng.de
- Initial package, version 1.4.1b
